ros-rolling-pose-broadcaster (6.2.0-1noble) noble; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Wed, 31 Dec 2025 00:00:00 -0000

ros-rolling-pose-broadcaster (6.1.0-1noble) noble; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Mon, 01 Dec 2025 00:00:00 -0000

ros-rolling-pose-broadcaster (6.0.0-1noble) noble; urgency=high

  * Controller interface api update to ros2_controller packages (#1973 <https://github.com/ros-controls/ros2_controllers/issues/1973>)
  * Contributors: Anand Vardhan

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Mon, 10 Nov 2025 00:00:00 -0000

ros-rolling-pose-broadcaster (5.8.0-1noble) noble; urgency=high

  * Update API for realtime publisher (#1830 <https://github.com/ros-controls/ros2_controllers/issues/1830>)
  * Remove deprecated methods from ros2_control (#1936 <https://github.com/ros-controls/ros2_controllers/issues/1936>)
  * Contributors: Christoph Fröhlich

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Thu, 02 Oct 2025 00:00:00 -0000

ros-rolling-pose-broadcaster (5.7.0-1noble) noble; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Fri, 12 Sep 2025 00:00:00 -0000

ros-rolling-pose-broadcaster (5.6.1-1noble) noble; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sat, 30 Aug 2025 00:00:00 -0000

ros-rolling-pose-broadcaster (5.6.0-1noble) noble; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Fri, 29 Aug 2025 00:00:00 -0000

ros-rolling-pose-broadcaster (5.5.0-1noble) noble; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Thu, 31 Jul 2025 00:00:00 -0000

ros-rolling-pose-broadcaster (5.4.0-1noble) noble; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Wed, 23 Jul 2025 00:00:00 -0000

ros-rolling-pose-broadcaster (5.3.0-1noble) noble; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Mon, 14 Jul 2025 00:00:00 -0000

ros-rolling-pose-broadcaster (5.2.0-1noble) noble; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Mon, 23 Jun 2025 00:00:00 -0000

ros-rolling-pose-broadcaster (5.1.0-1noble) noble; urgency=high

  * Remove deprecated parameter from pose_broadcaster (#1685 <https://github.com/ros-controls/ros2_controllers/issues/1685>)
  * Contributors: Christoph Fröhlich

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Wed, 11 Jun 2025 00:00:00 -0000

ros-rolling-pose-broadcaster (5.0.2-1noble) noble; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Mon, 26 May 2025 00:00:00 -0000

ros-rolling-pose-broadcaster (5.0.1-1noble) noble; urgency=high

  * Use target_link_libraries instead of ament_target_dependencies (#1697 <https://github.com/ros-controls/ros2_controllers/issues/1697>)
  * Contributors: Sai Kishor Kothakota

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sat, 24 May 2025 00:00:00 -0000

ros-rolling-pose-broadcaster (5.0.0-1noble) noble; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sat, 17 May 2025 00:00:00 -0000

ros-rolling-pose-broadcaster (4.24.0-1noble) noble; urgency=high

  * Deprecate tf.publish_rate parameter for pose_broadcaster (#1614 <https://github.com/ros-controls/ros2_controllers/issues/1614>)
  * Contributors: Aarav Gupta

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sun, 27 Apr 2025 00:00:00 -0000

ros-rolling-pose-broadcaster (4.23.0-1noble) noble; urgency=high

  * Use global cmake macros and fix gcc-10 build (#1527 <https://github.com/ros-controls/ros2_controllers/issues/1527>)
  * Contributors: Christoph Fröhlich

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Thu, 10 Apr 2025 00:00:00 -0000

ros-rolling-pose-broadcaster (4.22.0-1noble) noble; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Mon, 17 Mar 2025 00:00:00 -0000

ros-rolling-pose-broadcaster (4.21.0-1noble) noble; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sat, 01 Mar 2025 00:00:00 -0000

ros-rolling-pose-broadcaster (4.20.0-1noble) noble; urgency=high

  * Update paths of GPL includes (#1487 <https://github.com/ros-controls/ros2_controllers/issues/1487>)
  * Contributors: Christoph Fröhlich

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Wed, 29 Jan 2025 00:00:00 -0000

ros-rolling-pose-broadcaster (4.19.0-1noble) noble; urgency=high

  * [pose_broadcaster] Check for valid pose before attempting to publish a tf for it (#1479 <https://github.com/ros-controls/ros2_controllers/issues/1479>)
  * Remove visibility macros (#1451 <https://github.com/ros-controls/ros2_controllers/issues/1451>)
  * Contributors: Bence Magyar, Felix Exner

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Mon, 13 Jan 2025 00:00:00 -0000

ros-rolling-pose-broadcaster (4.18.0-1noble) noble; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Thu, 19 Dec 2024 00:00:00 -0000

ros-rolling-pose-broadcaster (4.17.0-1noble) noble; urgency=high

  * Use the .hpp headers from realtime_tools package (#1406 <https://github.com/ros-controls/ros2_controllers/issues/1406>)
  * Add few warning flags to error in all ros2_controllers packages and fix tests (#1370 <https://github.com/ros-controls/ros2_controllers/issues/1370>)
  * Update maintainers and add url tags (#1363 <https://github.com/ros-controls/ros2_controllers/issues/1363>)
  * Contributors: Christoph Fröhlich, Sai Kishor Kothakota

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sat, 07 Dec 2024 00:00:00 -0000

ros-rolling-pose-broadcaster (4.16.0-1noble) noble; urgency=high

  * Add hardware_interface_testing dependency (#1335 <https://github.com/ros-controls/ros2_controllers/issues/1335>)
  * Implement new PoseBroadcaster controller (#1311 <https://github.com/ros-controls/ros2_controllers/issues/1311>)
  * Contributors: Christoph Fröhlich, RobertWilbrandt

 -- Robert Wilbrandt <wilbrandt@fzi.de>  Fri, 08 Nov 2024 00:00:00 -0000

ros-rolling-pose-broadcaster (4.15.0-1noble) noble; urgency=high



 -- Robert Wilbrandt <wilbrandt@fzi.de>  Mon, 07 Oct 2024 00:00:00 -0000

ros-rolling-pose-broadcaster (4.14.0-1noble) noble; urgency=high



 -- Robert Wilbrandt <wilbrandt@fzi.de>  Wed, 11 Sep 2024 00:00:00 -0000

ros-rolling-pose-broadcaster (4.13.0-1noble) noble; urgency=high



 -- Robert Wilbrandt <wilbrandt@fzi.de>  Thu, 22 Aug 2024 00:00:00 -0000

ros-rolling-pose-broadcaster (4.12.1-1noble) noble; urgency=high



 -- Robert Wilbrandt <wilbrandt@fzi.de>  Wed, 14 Aug 2024 00:00:00 -0000

ros-rolling-pose-broadcaster (4.12.0-1noble) noble; urgency=high



 -- Robert Wilbrandt <wilbrandt@fzi.de>  Tue, 23 Jul 2024 00:00:00 -0000

ros-rolling-pose-broadcaster (4.11.0-1noble) noble; urgency=high



 -- Robert Wilbrandt <wilbrandt@fzi.de>  Tue, 09 Jul 2024 00:00:00 -0000

ros-rolling-pose-broadcaster (4.10.0-1noble) noble; urgency=high



 -- Robert Wilbrandt <wilbrandt@fzi.de>  Mon, 01 Jul 2024 00:00:00 -0000

ros-rolling-pose-broadcaster (4.9.0-1noble) noble; urgency=high



 -- Robert Wilbrandt <wilbrandt@fzi.de>  Wed, 05 Jun 2024 00:00:00 -0000

ros-rolling-pose-broadcaster (4.8.0-1noble) noble; urgency=high



 -- Robert Wilbrandt <wilbrandt@fzi.de>  Tue, 14 May 2024 00:00:00 -0000

ros-rolling-pose-broadcaster (4.7.0-1noble) noble; urgency=high



 -- Robert Wilbrandt <wilbrandt@fzi.de>  Fri, 22 Mar 2024 00:00:00 -0000

ros-rolling-pose-broadcaster (4.6.0-1noble) noble; urgency=high



 -- Robert Wilbrandt <wilbrandt@fzi.de>  Mon, 12 Feb 2024 00:00:00 -0000

ros-rolling-pose-broadcaster (4.5.0-1noble) noble; urgency=high



 -- Robert Wilbrandt <wilbrandt@fzi.de>  Wed, 31 Jan 2024 00:00:00 -0000

ros-rolling-pose-broadcaster (4.4.0-1noble) noble; urgency=high



 -- Robert Wilbrandt <wilbrandt@fzi.de>  Thu, 11 Jan 2024 00:00:00 -0000

ros-rolling-pose-broadcaster (4.3.0-1noble) noble; urgency=high



 -- Robert Wilbrandt <wilbrandt@fzi.de>  Mon, 08 Jan 2024 00:00:00 -0000

ros-rolling-pose-broadcaster (4.2.0-1noble) noble; urgency=high



 -- Robert Wilbrandt <wilbrandt@fzi.de>  Tue, 12 Dec 2023 00:00:00 -0000

ros-rolling-pose-broadcaster (4.1.0-1noble) noble; urgency=high



 -- Robert Wilbrandt <wilbrandt@fzi.de>  Fri, 01 Dec 2023 00:00:00 -0000

ros-rolling-pose-broadcaster (4.0.0-1noble) noble; urgency=high



 -- Robert Wilbrandt <wilbrandt@fzi.de>  Tue, 21 Nov 2023 00:00:00 -0000

ros-rolling-pose-broadcaster (3.17.0-1noble) noble; urgency=high



 -- Robert Wilbrandt <wilbrandt@fzi.de>  Tue, 31 Oct 2023 00:00:00 -0000

ros-rolling-pose-broadcaster (3.16.0-1noble) noble; urgency=high



 -- Robert Wilbrandt <wilbrandt@fzi.de>  Wed, 20 Sep 2023 00:00:00 -0000

ros-rolling-pose-broadcaster (3.15.0-1noble) noble; urgency=high



 -- Robert Wilbrandt <wilbrandt@fzi.de>  Mon, 11 Sep 2023 00:00:00 -0000

ros-rolling-pose-broadcaster (3.14.0-1noble) noble; urgency=high



 -- Robert Wilbrandt <wilbrandt@fzi.de>  Wed, 16 Aug 2023 00:00:00 -0000

ros-rolling-pose-broadcaster (3.13.0-1noble) noble; urgency=high



 -- Robert Wilbrandt <wilbrandt@fzi.de>  Fri, 04 Aug 2023 00:00:00 -0000

ros-rolling-pose-broadcaster (3.12.0-1noble) noble; urgency=high



 -- Robert Wilbrandt <wilbrandt@fzi.de>  Tue, 18 Jul 2023 00:00:00 -0000

ros-rolling-pose-broadcaster (3.11.0-1noble) noble; urgency=high



 -- Robert Wilbrandt <wilbrandt@fzi.de>  Sat, 24 Jun 2023 00:00:00 -0000

ros-rolling-pose-broadcaster (3.10.1-1noble) noble; urgency=high



 -- Robert Wilbrandt <wilbrandt@fzi.de>  Tue, 06 Jun 2023 00:00:00 -0000

ros-rolling-pose-broadcaster (3.10.0-1noble) noble; urgency=high



 -- Robert Wilbrandt <wilbrandt@fzi.de>  Sun, 04 Jun 2023 00:00:00 -0000

ros-rolling-pose-broadcaster (3.9.0-1noble) noble; urgency=high



 -- Robert Wilbrandt <wilbrandt@fzi.de>  Sun, 28 May 2023 00:00:00 -0000

ros-rolling-pose-broadcaster (3.8.0-1noble) noble; urgency=high



 -- Robert Wilbrandt <wilbrandt@fzi.de>  Sun, 14 May 2023 00:00:00 -0000

ros-rolling-pose-broadcaster (3.7.0-1noble) noble; urgency=high



 -- Robert Wilbrandt <wilbrandt@fzi.de>  Tue, 02 May 2023 00:00:00 -0000

ros-rolling-pose-broadcaster (3.6.0-1noble) noble; urgency=high



 -- Robert Wilbrandt <wilbrandt@fzi.de>  Sat, 29 Apr 2023 00:00:00 -0000

ros-rolling-pose-broadcaster (3.5.0-1noble) noble; urgency=high



 -- Robert Wilbrandt <wilbrandt@fzi.de>  Fri, 14 Apr 2023 00:00:00 -0000

ros-rolling-pose-broadcaster (3.4.0-1noble) noble; urgency=high



 -- Robert Wilbrandt <wilbrandt@fzi.de>  Sun, 02 Apr 2023 00:00:00 -0000

ros-rolling-pose-broadcaster (3.3.0-1noble) noble; urgency=high



 -- Robert Wilbrandt <wilbrandt@fzi.de>  Tue, 07 Mar 2023 00:00:00 -0000

ros-rolling-pose-broadcaster (3.2.0-1noble) noble; urgency=high



 -- Robert Wilbrandt <wilbrandt@fzi.de>  Fri, 10 Feb 2023 00:00:00 -0000

ros-rolling-pose-broadcaster (3.1.0-1noble) noble; urgency=high



 -- Robert Wilbrandt <wilbrandt@fzi.de>  Thu, 26 Jan 2023 00:00:00 -0000

ros-rolling-pose-broadcaster (3.0.0-1noble) noble; urgency=high



 -- Robert Wilbrandt <wilbrandt@fzi.de>  Thu, 19 Jan 2023 00:00:00 -0000

ros-rolling-pose-broadcaster (2.15.0-1noble) noble; urgency=high



 -- Robert Wilbrandt <wilbrandt@fzi.de>  Tue, 06 Dec 2022 00:00:00 -0000

ros-rolling-pose-broadcaster (2.14.0-1noble) noble; urgency=high



 -- Robert Wilbrandt <wilbrandt@fzi.de>  Fri, 18 Nov 2022 00:00:00 -0000

ros-rolling-pose-broadcaster (2.13.0-1noble) noble; urgency=high



 -- Robert Wilbrandt <wilbrandt@fzi.de>  Wed, 05 Oct 2022 00:00:00 -0000

ros-rolling-pose-broadcaster (2.12.0-1noble) noble; urgency=high



 -- Robert Wilbrandt <wilbrandt@fzi.de>  Thu, 01 Sep 2022 00:00:00 -0000

ros-rolling-pose-broadcaster (2.11.0-1noble) noble; urgency=high



 -- Robert Wilbrandt <wilbrandt@fzi.de>  Thu, 04 Aug 2022 00:00:00 -0000

ros-rolling-pose-broadcaster (2.10.0-1noble) noble; urgency=high



 -- Robert Wilbrandt <wilbrandt@fzi.de>  Mon, 01 Aug 2022 00:00:00 -0000

ros-rolling-pose-broadcaster (2.9.0-1noble) noble; urgency=high



 -- Robert Wilbrandt <wilbrandt@fzi.de>  Thu, 14 Jul 2022 00:00:00 -0000

ros-rolling-pose-broadcaster (2.8.0-1noble) noble; urgency=high



 -- Robert Wilbrandt <wilbrandt@fzi.de>  Sat, 09 Jul 2022 00:00:00 -0000

ros-rolling-pose-broadcaster (2.7.0-1noble) noble; urgency=high



 -- Robert Wilbrandt <wilbrandt@fzi.de>  Sun, 03 Jul 2022 00:00:00 -0000

ros-rolling-pose-broadcaster (2.6.0-1noble) noble; urgency=high



 -- Robert Wilbrandt <wilbrandt@fzi.de>  Sat, 18 Jun 2022 00:00:00 -0000

ros-rolling-pose-broadcaster (2.5.0-1noble) noble; urgency=high



 -- Robert Wilbrandt <wilbrandt@fzi.de>  Fri, 13 May 2022 00:00:00 -0000

ros-rolling-pose-broadcaster (2.4.0-1noble) noble; urgency=high



 -- Robert Wilbrandt <wilbrandt@fzi.de>  Fri, 29 Apr 2022 00:00:00 -0000

ros-rolling-pose-broadcaster (2.3.0-1noble) noble; urgency=high



 -- Robert Wilbrandt <wilbrandt@fzi.de>  Thu, 21 Apr 2022 00:00:00 -0000

ros-rolling-pose-broadcaster (2.2.0-1noble) noble; urgency=high



 -- Robert Wilbrandt <wilbrandt@fzi.de>  Fri, 25 Mar 2022 00:00:00 -0000

ros-rolling-pose-broadcaster (2.1.0-1noble) noble; urgency=high



 -- Robert Wilbrandt <wilbrandt@fzi.de>  Wed, 23 Feb 2022 00:00:00 -0000

ros-rolling-pose-broadcaster (2.0.1-1noble) noble; urgency=high



 -- Robert Wilbrandt <wilbrandt@fzi.de>  Tue, 01 Feb 2022 00:00:00 -0000

ros-rolling-pose-broadcaster (2.0.0-1noble) noble; urgency=high



 -- Robert Wilbrandt <wilbrandt@fzi.de>  Fri, 28 Jan 2022 00:00:00 -0000

ros-rolling-pose-broadcaster (1.3.0-1noble) noble; urgency=high



 -- Robert Wilbrandt <wilbrandt@fzi.de>  Tue, 11 Jan 2022 00:00:00 -0000

ros-rolling-pose-broadcaster (1.2.0-1noble) noble; urgency=high



 -- Robert Wilbrandt <wilbrandt@fzi.de>  Wed, 29 Dec 2021 00:00:00 -0000

ros-rolling-pose-broadcaster (1.1.0-1noble) noble; urgency=high



 -- Robert Wilbrandt <wilbrandt@fzi.de>  Mon, 25 Oct 2021 00:00:00 -0000

ros-rolling-pose-broadcaster (1.0.0-1noble) noble; urgency=high



 -- Robert Wilbrandt <wilbrandt@fzi.de>  Wed, 29 Sep 2021 00:00:00 -0000

ros-rolling-pose-broadcaster (0.5.0-1noble) noble; urgency=high



 -- Robert Wilbrandt <wilbrandt@fzi.de>  Mon, 30 Aug 2021 00:00:00 -0000

ros-rolling-pose-broadcaster (0.4.1-1noble) noble; urgency=high



 -- Robert Wilbrandt <wilbrandt@fzi.de>  Thu, 08 Jul 2021 00:00:00 -0000

ros-rolling-pose-broadcaster (0.4.0-1noble) noble; urgency=high



 -- Robert Wilbrandt <wilbrandt@fzi.de>  Mon, 28 Jun 2021 00:00:00 -0000

ros-rolling-pose-broadcaster (0.3.1-1noble) noble; urgency=high



 -- Robert Wilbrandt <wilbrandt@fzi.de>  Sun, 23 May 2021 00:00:00 -0000

ros-rolling-pose-broadcaster (0.3.0-1noble) noble; urgency=high



 -- Robert Wilbrandt <wilbrandt@fzi.de>  Fri, 21 May 2021 00:00:00 -0000

ros-rolling-pose-broadcaster (0.2.1-1noble) noble; urgency=high



 -- Robert Wilbrandt <wilbrandt@fzi.de>  Mon, 03 May 2021 00:00:00 -0000

ros-rolling-pose-broadcaster (0.2.0-1noble) noble; urgency=high



 -- Robert Wilbrandt <wilbrandt@fzi.de>  Sat, 06 Feb 2021 00:00:00 -0000

ros-rolling-pose-broadcaster (0.1.2-1noble) noble; urgency=high



 -- Robert Wilbrandt <wilbrandt@fzi.de>  Thu, 07 Jan 2021 00:00:00 -0000

ros-rolling-pose-broadcaster (0.1.1-1noble) noble; urgency=high



 -- Robert Wilbrandt <wilbrandt@fzi.de>  Wed, 06 Jan 2021 00:00:00 -0000

ros-rolling-pose-broadcaster (0.1.0-1noble) noble; urgency=high



 -- Robert Wilbrandt <wilbrandt@fzi.de>  Wed, 23 Dec 2020 00:00:00 -0000


